package bank;

import java.util.ArrayList;

public class Bank {
	private String name;
	private ArrayList<Bankkonto> kontenliste;

	public Bank(String name) {
		this.kontenliste = new ArrayList<>();
		this.name = name;
	}
	
	public int kontoAnlegen(String inhaber) {
		Bankkonto bk = new Bankkonto(inhaber);
		kontenliste.add(bk);
		
		// Speichern Methode 2: geänderte Daten speichern
		return bk.getKontonummer();
	}
	
	public String getName() {
		return this.name;
	}

	public boolean geldEinzahlen(int kontonummer, double betrag) {
		Bankkonto bk = kontoFinden(kontonummer);
		
		if (bk != null) {
			bk.geldEinzahlen(betrag);
			return true;
		}
		
		return false;
	}
	
	private Bankkonto kontoFinden(int kontonummer) {
		for (Bankkonto bk : kontenliste) {
			if (bk.getKontonummer() == kontonummer)
				return bk;
		}
		
		return null;
	}

}
